Loading...
Searching...
No Matches
L4virtio::Virtqueue::Desc Class Reference

Descriptor in the descriptor table. More...

`#include <virtqueue>`

Collaboration diagram for L4virtio::Virtqueue::Desc:

## Data Structures

struct | Flags
| Type for descriptor flags. More...

## Public Member Functions

void | dump (unsigned idx) const
| Dump a single descriptor.

## Data Fields

Ptr< void > | addr
| Address stored in descriptor.
l4_uint32_t | len
| Length of described buffer.
Flags | flags
| Descriptor flags.
l4_uint16_t | next
| Index of the next chained descriptor.

## Detailed Description

Descriptor in the descriptor table.

Definition at line 86 of file virtqueue.

The documentation for this class was generated from the following file:

- l4/l4virtio/virtqueue